Skip to main content

List all comments

Returns a list of your comments. The comments are returned sorted by creation date, with the most recently created comments appearing first.

Parameters

content
string
The content to search for.
expand
array
Array of relationships to expand. Supported values: author, task, attachments, board.

Returns

Return a paginated response that contains an array of up to the specified limit of comments.

get
/api/tasks/{id}/comments
curl https://{workspace}.kitchen.co/api/tasks/{id}/comments \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"data": [
{
"author": "u_c01bb6102b6ddadd4b1f020e",
"attachments": [
"fi_081dcab571f6c37d709078ce"
],
"board": "tskb_1lbg89ha9ttb5dmxuldku3nx",
"task": "tsk_1lbg89ha9ttb5dmxuldku3nx",
"content": "The comment content",
"created_at": "2024-01-23T23:09:00+00:00",
"format": "text",
"id": "msg_3447589816730d8ba4e50528",
"send_at": null,
"updated_at": "2024-01-23T23:09:00+00:00"
}
],
"links": {
"first": "/api/tasks/{id}/comments?page=1",
"last": "/api/tasks/{id}/comments?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/api/tasks/{id}/comments?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/api/tasks/{id}/comments",
"per_page": 20,
"to": 1,
"total": 1
}
}